org.apache.avro.ipc.netty

## Class NettyTransceiver.NettyTransceiverThreadFactory

- java.lang.Object
- - org.apache.avro.ipc.netty.NettyTransceiver.NettyTransceiverThreadFactory

All Implemented Interfaces:
  ThreadFactory

Enclosing class:
  NettyTransceiver

    protected static class NettyTransceiver.NettyTransceiverThreadFactory
    extends Object
    implements ThreadFactory

Creates threads with unique names based on a specified name prefix.

### Constructor Summary

Constructors
Constructor and Description
`NettyTransceiverThreadFactory(String prefix)` Creates a NettyTransceiverThreadFactory that creates threads with the specified name.

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NettyTransceiverThreadFactory

    public NettyTransceiverThreadFactory(String prefix)

Creates a NettyTransceiverThreadFactory that creates threads with the specified name.

Parameters:
  `prefix` - the name prefix to use for all threads created by this ThreadFactory. A unique ID will be appended to this prefix to form the final thread name.

### Method Detail

#### newThread

    public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`